//! Computes the mean of a time series
float mean( array serie )
{
  float resultat = 0.0 ;
  foreach ( serie , float item )
    {
      resultat += item ;
    }
  return resultat/ sizeof(serie);
}

//! Computes the standar deviation of a time series.
float standarDeviation ( array serie )
{
  float mean = mean(serie );
  float resultat = 0.0 ;
  foreach ( serie, float item )
    {
      resultat += pow(item , 2 ) - pow(mean,2 ) ;
    }
  return sqrt( resultat / sizeof(serie) );
}

int main ()
{
  array serie = ({ 1.0 , -1.0 , 1.0 , -1.0 , 1.0 , -1.0 });
  write("Mean : " +  mean(serie ) + " , standarDeviation : " + standarDeviation(serie) + "\n" );

  return 0 ;
}

