
void RandomInit (int seed ) 
{
  random_seed(seed);
}

void RandomSelfInit () 
{
  RandomInit( time() ) ;
}

inline float  UniformDev ()
{
 return random(1.0);
}

inline float UniformDeviation( float a , float b )
{
  return a + (b -a )*UniformDev() ;
}

//En el futur cal fer que no tire un dels dos nombres aleatoris que genera.
private float gasdev () 
{
  int flag = 1 ;
  float resultat = 0.0 ;
  float v1 , v2 , rsq , fac ;
  while ( flag ) 
    {
      v1 = ( 2 * UniformDev() ) - 1 ;
      v2 = ( 2 * UniformDev() ) - 1 ;
      rsq = v1 * v1 + v2 * v2 ;
      if ( ( rsq < 1.0 ) && (rsq > 0.0) )
	{
	  fac = sqrt(  -2 * (log (rsq) / rsq ))  ;
	  flag = 0 ;
	  resultat = v2 * fac ;
	}
    }
  return resultat ;
}
	  
float GaussDev ( float mean, float dev ) 
{
  return mean + dev * gasdev() ;
}


int main () 
{
  float mitja = 0 , desviacio = 0, nombre ;
  int N = 0 ;
  write("Gaussian numbers generator test ( 0 mean, 1 standard deviation) \n");
  write("Please, give me the number of random numbers to generate:\n=> ");
  N = (int) Stdio.stdin->gets();
  for ( int i = 0 ; i < N ; ++i )
    {
      nombre = gasdev();
      mitja += nombre ;
      desviacio += nombre * nombre ;
    }
  write("Mean : " + mitja / N + "\n");
  write("Standar Deviation : " + desviacio / sqrt(N*(N - 1)) + "\n" );
  return 0 ;
}
